<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout.html}"
>
<head>
    <title>Autonomous control</title>
</head>

<body>
<div layout:fragment="content">
    <h1>Autonomous</h1>

    <div class="alert alert-success" role="alert" th:if="${message}" th:text="${message}"></div>
    <div class="alert alert-danger" role="alert" th:if="${messageErr}" th:text="${messageErr}"></div>
    <br>

    <p>Selected video sets will be played by default after system start</p>


    <h6>Current set of ordered autonomous track</h6>
    <ol >
        <li th:if="${autonomousList.isEmpty()}" >No autonomous playlist</li>
        <li  th:each="displaySet, iter : ${autonomousList}"
            th:text="${displaySet.name}"
            th:value="${iter.count}"></li>
    </ol>

    <br>
    <div th:unless="${displaySets.isEmpty()}">

        <div th:unless="${displaySets.isEmpty()}" th:replace="fragments/videoSetFragments :: autonomousCreate"></div>

    </div>


</div>

</body>

<footer layout:fragment="content_js">
    <script type="module" src="/js/common.js"></script>
    <script type="module" src="/js/autonomous.js"></script>
</footer>